Add Collection File
Adds a file to a vector store collection.
Path parameters
-
id string required
The ID of the vector store collection.
Body
multipart/form-data-
file string (binary) required
The file object to be uploaded to the vector store collection.
Responses
OK
application/json · add-vector-store-file-response-payload
Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope.
application/json · error-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
The upload is over 100 MB
application/json · error-payload
curl https://api.vultrinference.com/v1/vector_store/{id}/files \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-F "file=@file.pdf"import os
import requests
response = requests.post(
"https://api.vultrinference.com/v1/vector_store/{id}/files",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
files={"file": open("file.pdf", "rb")},
)
print(response.json())import { openAsBlob } from "node:fs";
const form = new FormData();
form.append("file", await openAsBlob("file.pdf"), "file.pdf");
const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}/files", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
},
body: form,
});
console.log(await response.json());Response · 201
{
"file": {
"id": "string",
"filename": "string",
"status": "enqueued",
"error": "string",
"items": 0,
"tokens": 0
}
}